Subject: Re: [PATCH RFC] tun: experimental zero copy tx support

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 16 May 2012 19:51:32 +0300

On Wed, May 16, 2012 at 08:16:55AM -0700, Shirley Ma wrote:
> On Mon, 2012-05-14 at 21:39 +0300, Michael S. Tsirkin wrote:
> > > Hello Mike,
> > > 
> > > Have you tested this patch? I think the difference between macvtap
> > and
> > > tap is tap forwarding the packet to bridge. The zerocopy is disabled
> > in
> > > this case.
> > > 
> > > Shirley
> > 
> > Testing in progress, but the patchset I pointed to enables
> > zerocopy with bridge. 
> 
> Hello Mike,
> 
> You meant this patch or another patchset for enabling bridge zerocopy?
> 
> I remembered we disabled forward skb zerocopy since the user space
> program might hold the buffers too long or forever.
> 
> In tap/bridge case, when the tx buffers will be released?
> 
> Thanks
> Shirley

It still fails some tests for me but maybe I'll post the whole
patchset so you can see how it works.